Skip to main content
`Ctrl`+`K`
scipy.stats.gaussian_kde.

# integrate_gaussian

gaussian_kde.integrate_gaussian(mean, cov)

  Multiply estimated density by a multivariate Gaussian and integrate over the whole space.

  Parameters:
    mean aray_like

      A 1-D array, specifying the mean of the Gaussian.

    cov array_like

      A 2-D array, specifying the covariance matrix of the Gaussian.

  Returns:
    result scalar

      The value of the integral.

  Raises:
    ValueError

      If the mean or covariance of the input Gaussian differs from the KDE’s dimensionality.